require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class DDate < Base
      def on_message(muc, message)
        return unless message.type == :groupchat
        return unless /!ddate\b/ =~ message.body

        muc.send(Jabber::Message.new(message.to, IO.popen("ddate").read.chomp))
      end

      def commands
        {
          '!ddate' => 'show Discordian date'
        }
      end
    end
  end
end
