require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class Fortune < Base
      def on_message(muc, message)
        return unless message.type == :groupchat
        return unless /!fortune\b/ =~ message.body

        muc.send(Jabber::Message.new(message.to, "\n" + IO.popen(@config['command']).read.chomp))
      end

      def commands
        {
          '!fortune' => 'fortune cookies'
        }
      end
    end
  end
end
